Loading...
Searching...
No Matches
novas_transform Struct Reference

A transformation between two astronomical coordinate systems for the same observer location and time. More...

`#include <novas.h>`

## Public Attributes

struct novas_frame | frame
| The observer place and time for which the transform is valid.
enum novas_reference_system | from_system
| The original coordinate system.
struct novas_matrix | matrix
| Transformation matrix elements.
enum novas_reference_system | to_system
| The final coordinate system.

## Detailed Description

A transformation between two astronomical coordinate systems for the same observer location and time.

This allows for more elegant, generic, and efficient coordinate transformations than the low-level NOVAS functions.

The transformation can be (should be) initialized via novas_make_transform(), or via novas_invert_transform().

Since
  1.1

See also
  novas_make_transform(), novas_invert_transform(), NOVAS_TRANSFORM_INIT
  novas_transform_vector(), novas_transform_sky_pos()

## Member Data Documentation

## frame

struct novas_frame novas_transform::frame

The observer place and time for which the transform is valid.

Referenced by novas_make_transform().

## from_system

enum novas_reference_system novas_transform::from_system

The original coordinate system.

Referenced by novas_make_transform().

## matrix

struct novas_matrix novas_transform::matrix

Transformation matrix elements.

Referenced by novas_invert_transform(), and novas_make_transform().

## to_system

enum novas_reference_system novas_transform::to_system

The final coordinate system.

Referenced by novas_make_transform().